<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!--
IGAC proyecto SNC

@author 		javier.aponte
@version		2.0
@description 	Pantalla que permite ingresar los datos correspondientes 
                a proyecto casa, apartamento, suite hotelera para registrar 
                ofertas inmobiliarias de proyectos
                Todos los id's de los componentes terminan en CASH: Casa, apartamento, 
                suite hotelera
                CU-SA-AC-077 Registrar Ofertas Inmobiliarias de Proyectos
@cu 			CU-AV-O-01
@param			proyectoCasaAptoSuiteHoteleraParam: 	Objeto de tipo OfertaInmobiliaria que 
                almacenará los valores de todo el formulario. 
@param			currentManagedBeanParam:  	MB que contiene las opciones de registro de oferta 
                inmobiliaria

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui"
             id="proyectoCasaApartamentoSuiteHoteleraId"
             rendered="#{currentManagedBeanParam.banderaCasaApartamentoSuiteHotelera}"
             columns="1">

    <h:panelGrid columns="6" cellspacing="7"
                 columnClasses="colMediana, colPequena, colSeparador, colMediana, colPequena, colSeparador">

        <h:outputLabel value="Tipo inmueble:" for="tipoInmuebleCASH"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}"
                       styleClass="outputLabelStyle" />
        <h:outputText id="tipoInmuebleCASH"
                      rendered="#{currentManagedBeanParam.banderaOfertaNueva}"
                      value="#{proyectoCasaAptoSuiteHoteleraParam.tipoInmueble}" />
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:panelGroup>
            <h:outputLabel value="Área construcción / área privada (m2):"
                           for="areaConstruccionAreaPrivadaCASH" styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:inputText id="areaConstruccionAreaPrivadaCASH" maxlength="10"
                         label="Área Construcción / Área Privada"
                         value="#{proyectoCasaAptoSuiteHoteleraParam.areaConstruccion}"
                         required="true">
                <f:validateDoubleRange minimum="1.0" />
            </h:inputText>
            <p:message for="areaConstruccionAreaPrivadaCASH" display="icon" />
        </h:panelGrid>
        <p:spacer />

        <h:panelGroup
            rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}">
            <h:outputLabel value="Área terreno (m2):" for="areaTerrenoCASH"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle"
                           rendered="#{currentManagedBeanParam.inmuebleTipoCasa}" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0"
                     rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}">
            <h:inputText id="areaTerrenoCASH" maxlength="10" label="Área Terreno"
                         value="#{proyectoCasaAptoSuiteHoteleraParam.areaTerreno}"
                         required="#{currentManagedBeanParam.inmuebleTipoCasa}">
                <f:validateDoubleRange minimum="1.0"
                                       disabled="#{!currentManagedBeanParam.inmuebleTipoCasa}" />
            </h:inputText>
            <p:message for="areaTerrenoCASH" display="icon" />
        </h:panelGrid>
        <p:spacer
            rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}" />

        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />
        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />
        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />

        <h:outputLabel value="Área total construida (catastral) (m2):"
                       for="areaTotalConstruidaCASH" styleClass="outputLabelStyle"
                       rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />
        <h:outputText id="areaTotalConstruidaCASH"
                      value="#{proyectoCasaAptoSuiteHoteleraParam.areaTotalConstruccionCata}"
                      rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />
        <p:spacer rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Área total terreno (catastral) (m2):"
                       for="areaTotalTerrenoCASH" styleClass="outputLabelStyle"
                       rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />
        <h:outputText id="areaTotalTerrenoCASH"
                      value="#{proyectoCasaAptoSuiteHoteleraParam.areaTotalTerrenoCatastral}"
                      rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />
        <p:spacer rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Forma lote:" for="formaLoteCASH"
                       styleClass="outputLabelStyle"
                       rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal and 
                                   !currentManagedBeanParam.inmuebleTipoSH}" />
        <h:selectOneMenu id="formaLoteCASH" label="Forma Lote"
                         value="#{proyectoCasaAptoSuiteHoteleraParam.formaLote}"
                         rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal and 
                                     !currentManagedBeanParam.inmuebleTipoSH}">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaFormaLoteV}" />
        </h:selectOneMenu>
        <p:spacer
            rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal and 
                        !currentManagedBeanParam.inmuebleTipoSH}" />

        <h:panelGroup>
            <h:outputLabel value="No. pisos:" for="numeroPisosCASH"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:inputText id="numeroPisosCASH" maxlength="4" label="No. Pisos"
                         value="#{proyectoCasaAptoSuiteHoteleraParam.numeroPisos}"
                         required="true" />
            <p:message for="numeroPisosCASH" display="icon" />
        </h:panelGrid>
        <p:spacer />

        <h:panelGroup>
            <h:outputLabel value="No. habitaciones:" for="numeroHabitacionesCASH"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:inputText id="numeroHabitacionesCASH" maxlength="4"
                         label="No. Habitaciones"
                         value="#{proyectoCasaAptoSuiteHoteleraParam.numeroHabitaciones}">
                <f:validateLongRange minimum="1" />
            </h:inputText>
            <p:message for="numeroHabitacionesCASH" display="icon" />
        </h:panelGrid>
        <p:spacer />

        <h:outputLabel value="No. depositos:" for="numeroDepositosCASH"
                       styleClass="outputLabelStyle" />
        <h:inputText id="numeroDepositosCASH" maxlength="4"
                     label="No. Depositos"
                     value="#{proyectoCasaAptoSuiteHoteleraParam.numeroDepositos}" />
        <p:spacer />

        <h:outputLabel value="No. parqueaderos:" for="numeroParqueaderosCASH"
                       styleClass="outputLabelStyle" />
        <h:inputText id="numeroParqueaderosCASH" maxlength="4"
                     label="No. Parqueaderos"
                     value="#{proyectoCasaAptoSuiteHoteleraParam.numeroParqueaderos}" />
        <p:spacer />

        <h:panelGroup>
            <h:outputLabel value="No. baños:" for="numeroBaniosCASH"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:inputText id="numeroBaniosCASH" maxlength="4" label="No. Baños"
                         value="#{proyectoCasaAptoSuiteHoteleraParam.numeroBanios}">
                <f:validateLongRange minimum="1" />
            </h:inputText>
            <p:message for="numeroBaniosCASH" display="icon" />
        </h:panelGrid>
        <p:spacer />

        <h:outputLabel value="Ubicación en piso:" for="ubicacionPisoCASH"
                       styleClass="outputLabelStyle" />
        <h:inputText id="ubicacionPisoCASH" maxlength="2"
                     label="Ubicación en Piso"
                     value="#{proyectoCasaAptoSuiteHoteleraParam.ubicacionEnPiso}" />
        <p:spacer />


    </h:panelGrid>

    <h:panelGrid columns="6" cellspacing="7" id="infoCocinaCASH"
                 columnClasses="colMediana, colPequena, colSeparador, colMediana, colPequena, colSeparador">

        <h:outputLabel value="No. cocinas:" for="numeroCocinasCASH"
                       styleClass="outputLabelStyle" />
        <h:inputText id="numeroCocinasCASH" maxlength="4" label="No. cocinas"
                     value="#{proyectoCasaAptoSuiteHoteleraParam.numeroCocinas}">
            <p:ajax
                update=":proyectoCasaAptoSuiteHoteleraForm:infoCocinaCASH,
                :registroOfertaInmobiliariaFormId:infoCocinaCASH" />
        </h:inputText>
        <p:spacer />

        <h:panelGroup>
            <h:outputLabel value="Tipo cocina:" for="tipoCocinaCASH"
                           styleClass="outputLabelStyle"
                           rendered="#{proyectoCasaAptoSuiteHoteleraParam.numeroCocinas gt 0}" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle"
                           rendered="#{proyectoCasaAptoSuiteHoteleraParam.numeroCocinas gt 0}" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:selectOneMenu id="tipoCocinaCASH" label="Tipo cocina"
                             required="true"
                             value="#{proyectoCasaAptoSuiteHoteleraParam.tipoCocina}"
                             rendered="#{proyectoCasaAptoSuiteHoteleraParam.numeroCocinas gt 0}">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{general.ofertaTipoCocinaV}" />
            </h:selectOneMenu>
            <p:message for="tipoCocinaCASH" display="icon" />
        </h:panelGrid>
        <p:spacer />
    </h:panelGrid>

    <h:panelGrid columns="6" cellspacing="7"
                 columnClasses="colMediana, colPequena, colSeparador, colMediana, colPequena, colSeparador">

        <h:outputLabel value="Ubicación:" for="ubicacionCASH"
                       styleClass="outputLabelStyle"
                       rendered="#{!currentManagedBeanParam.inmuebleTipoCasa}" />
        <h:selectOneMenu id="ubicacionCASH" label="Ubicacion"
                         value="#{proyectoCasaAptoSuiteHoteleraParam.ubicacion}"
                         rendered="#{!currentManagedBeanParam.inmuebleTipoCasa}">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaUbicacionV}" />
        </h:selectOneMenu>
        <p:spacer rendered="#{!currentManagedBeanParam.inmuebleTipoCasa}" />

        <h:outputLabel value="Tipo parqueadero:" for="tipoParqueaderoCASH"
                       styleClass="outputLabelStyle"
                       rendered="#{(currentManagedBeanParam.banderaPropiedadHorizontal and 
                                   currentManagedBeanParam.inmuebleTipoCasa) ||
                                   currentManagedBeanParam.banderaPropiedadHorizontal}" />
        <h:selectOneMenu id="tipoParqueaderoCASH" label="Tipo parqueadero"
                         value="#{proyectoCasaAptoSuiteHoteleraParam.tipoParqueadero}"
                         rendered="#{(currentManagedBeanParam.banderaPropiedadHorizontal and 
                                     currentManagedBeanParam.inmuebleTipoCasa) ||
                                     currentManagedBeanParam.banderaPropiedadHorizontal}">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaTipoParqueaderoV}" />
        </h:selectOneMenu>
        <p:spacer
            rendered="#{(currentManagedBeanParam.banderaPropiedadHorizontal and 
                        currentManagedBeanParam.inmuebleTipoCasa) ||
                        currentManagedBeanParam.banderaPropiedadHorizontal}" />

        <h:panelGroup>
            <h:outputLabel value="Valor pedido:" for="valorPedidoCASH"
                           styleClass="outputLabelStyle"
                           rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle"
                           rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:inputText id="valorPedidoCASH" maxlength="16" label="Valor pedido"
                         value="#{proyectoCasaAptoSuiteHoteleraParam.valorPedido}"
                         rendered="#{currentManagedBeanParam.banderaOfertaNueva}"
                         required="true">
                <f:validateDoubleRange minimum="1.0" for="valorPedidoCASH" />
                <f:converter converterId="converterMoneda" />
                <p:ajax event="blur"
                        onstart="aplicarFormatoMoneda('proyectoCasaAptoSuiteHoteleraForm:valorPedidoCASH',true);" />
                <p:ajax event="focus"
                        onstart="aplicarFormatoMoneda('proyectoCasaAptoSuiteHoteleraForm:valorPedidoCASH',false);" />
            </h:inputText>
            <p:message for="valorPedidoCASH" display="icon"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        </h:panelGrid>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Valor arriendo:" for="valorArriendoCASH"
                       styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <h:inputText id="valorArriendoCASH" maxlength="16"
                     label="Valor arriendo"
                     value="#{proyectoCasaAptoSuiteHoteleraParam.valorArriendo}"
                     rendered="#{currentManagedBeanParam.banderaOfertaNueva}">
            <f:converter converterId="converterMoneda" />
            <p:ajax event="blur"
                    onstart="aplicarFormatoMoneda('proyectoCasaAptoSuiteHoteleraForm:valorArriendoCASH',true);" />
            <p:ajax event="focus"
                    onstart="aplicarFormatoMoneda('proyectoCasaAptoSuiteHoteleraForm:valorArriendoCASH',false);" />
        </h:inputText>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Valor depósitos:" for="valorDepositosCASH"
                       styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <h:inputText id="valorDepositosCASH" maxlength="16"
                     label="Valor depósitos"
                     value="#{proyectoCasaAptoSuiteHoteleraParam.valorDepositos}"
                     rendered="#{currentManagedBeanParam.banderaOfertaNueva}">
            <f:converter converterId="converterMoneda" />
            <p:ajax event="blur"
                    onstart="aplicarFormatoMoneda('proyectoCasaAptoSuiteHoteleraForm:valorDepositosCASH',true);" />
            <p:ajax event="focus"
                    onstart="aplicarFormatoMoneda('proyectoCasaAptoSuiteHoteleraForm:valorDepositosCASH',false);" />
        </h:inputText>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Valor parqueaderos:" for="valorParqueaderosCASH"
                       styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <h:inputText id="valorParqueaderosCASH" maxlength="16"
                     label="Valor Parqueaderos"
                     value="#{proyectoCasaAptoSuiteHoteleraParam.valorParqueaderos}"
                     rendered="#{currentManagedBeanParam.banderaOfertaNueva}">
            <f:converter converterId="converterMoneda" />
            <p:ajax event="blur"
                    onstart="aplicarFormatoMoneda('proyectoCasaAptoSuiteHoteleraForm:valorParqueaderosCASH',true);" />
            <p:ajax event="focus"
                    onstart="aplicarFormatoMoneda('proyectoCasaAptoSuiteHoteleraForm:valorParqueaderosCASH',false);" />
        </h:inputText>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Valor administración:"
                       for="valorAdministracionCASH" styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <h:inputText id="valorAdministracionCASH" maxlength="16"
                     label="Valor administración"
                     value="#{proyectoCasaAptoSuiteHoteleraParam.valorAdministracion}"
                     rendered="#{currentManagedBeanParam.banderaOfertaNueva}">
            <f:converter converterId="converterMoneda" />
            <p:ajax event="blur"
                    onstart="aplicarFormatoMoneda('proyectoCasaAptoSuiteHoteleraForm:valorAdministracionCASH',true);" />
            <p:ajax event="focus"
                    onstart="aplicarFormatoMoneda('proyectoCasaAptoSuiteHoteleraForm:valorAdministracionCASH',false);" />
        </h:inputText>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <p:spacer rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />

    </h:panelGrid>
</h:panelGrid>